"use strict";

const url = require("url");

module.exports = function mergeUrl(baseUrl, newProps) {
	let parsedBaseUrl = url.parse(baseUrl);

	let fullNewProps = Object.assign(newProps);

	if (fullNewProps.query != null) {
		fullNewProps.search = null;
	}

	return url.format(Object.assign({}, parsedBaseUrl, fullNewProps));
};